import pendulum
from workspaces.json import WorkflowEventSchema
from workspaces.schema import WorkflowEvent, WorkflowEventType


def test_schema_dumpload():
    e = WorkflowEvent(
        "foo",
        1,
        WorkflowEventType.SUBMITTED,
        str(pendulum.now()),
        "nothing to speak of",
    )
    schema = WorkflowEventSchema()
    event_text = schema.dump(e)
    r = schema.load(event_text)
    assert e == r
